- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TAO::Portable_Server::RequestProcessingStrategyServantManager Class Reference

`#include <RequestProcessingStrategyServantManager.h>`

Inheritance diagram for TAO::Portable_Server::RequestProcessingStrategyServantManager:

[legend]
Collaboration diagram for TAO::Portable_Server::RequestProcessingStrategyServantManager:

[legend]
List of all members.

## Public Member Functions
| RequestProcessingStrategyServantManager (void)
PortableServer::Servant | get_servant () throw (CORBA::SystemException, PortableServer::POA::WrongPolicy)
void | set_servant (PortableServer::Servant servant) throw (CORBA::SystemException, PortableServer::POA::WrongPolicy)
void | validate_servant_manager (PortableServer::ServantManager_ptr servant_manager)
virtual PortableServer::Servant | system_id_to_servant (const PortableServer::ObjectId &system_id)
virtual PortableServer::Servant | id_to_servant (const PortableServer::ObjectId &id) throw (CORBA::SystemException, PortableServer::POA::ObjectNotActive, PortableServer::POA::WrongPolicy)
virtual PortableServer::ObjectId * | servant_to_id (PortableServer::Servant servant) throw (CORBA::SystemException, PortableServer::POA::ServantNotActive, PortableServer::POA::WrongPolicy)
virtual ::PortableServer::RequestProcessingPolicyValue | type () const

## Constructor & Destructor Documentation

TAO::Portable_Server::RequestProcessingStrategyServantManager::RequestProcessingStrategyServantManager | ( | void |  | ) |

## Member Function Documentation

PortableServer::Servant TAO::Portable_Server::RequestProcessingStrategyServantManager::get_servant | ( |  | ) | throw (CORBA::SystemException, PortableServer::POA::WrongPolicy)`[virtual]`

Implements TAO::Portable_Server::RequestProcessingStrategy.

PortableServer::Servant TAO::Portable_Server::RequestProcessingStrategyServantManager::id_to_servant | ( | const PortableServer::ObjectId & | id | ) | throw (CORBA::SystemException, PortableServer::POA::ObjectNotActive, PortableServer::POA::WrongPolicy)`[virtual]`

Implements TAO::Portable_Server::RequestProcessingStrategy.

PortableServer::ObjectId * TAO::Portable_Server::RequestProcessingStrategyServantManager::servant_to_id | ( | PortableServer::Servant | servant | ) | throw (CORBA::SystemException, PortableServer::POA::ServantNotActive, PortableServer::POA::WrongPolicy)`[virtual]`

Implements TAO::Portable_Server::RequestProcessingStrategy.

void TAO::Portable_Server::RequestProcessingStrategyServantManager::set_servant | ( | PortableServer::Servant | servant | ) | throw (CORBA::SystemException, PortableServer::POA::WrongPolicy)`[virtual]`

Implements TAO::Portable_Server::RequestProcessingStrategy.

PortableServer::Servant TAO::Portable_Server::RequestProcessingStrategyServantManager::system_id_to_servant | ( | const PortableServer::ObjectId & | system_id | ) | `[virtual]`

Implements TAO::Portable_Server::RequestProcessingStrategy.

PortableServer::RequestProcessingPolicyValue TAO::Portable_Server::RequestProcessingStrategyServantManager::type | ( |  | ) | const`[virtual]`

Implements TAO::Portable_Server::RequestProcessingStrategy.

void TAO::Portable_Server::RequestProcessingStrategyServantManager::validate_servant_manager | ( | PortableServer::ServantManager_ptr | servant_manager | ) |

The documentation for this class was generated from the following files:

- RequestProcessingStrategyServantManager.h
- RequestProcessingStrategyServantManager.cpp